agents.messages

## Class Message

- java.lang.Object
- - agents.messages.Message

All Implemented Interfaces:
  java.io.Serializable

    public class Message
    extends java.lang.Object
    implements java.io.Serializable

The Class Message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Message(java.lang.Object content, MessageType type, Agent sender)` Instantiates a new message.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getContent()` Gets the content.
`Agent` `getSender()` Gets the sender.
`MessageType` `getType()` Gets the type.
`void` `setContent(java.lang.Object content)` Sets the content.
`void` `setSender(Agent sender)` Sets the sender.
`void` `setType(MessageType type)` Sets the type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Message

    public Message(java.lang.Object content,
                   MessageType type,
                   Agent sender)

Instantiates a new message.

Parameters:
  `content` - the content
  `type` - the type
  `sender` - the sender

### Method Detail

#### getContent

    public java.lang.Object getContent()

Gets the content.

Returns:
  The content of the message.

#### setContent

    public void setContent(java.lang.Object content)

Sets the content.

Parameters:
  `content` - the new content

#### getType

    public MessageType getType()

Gets the type.

Returns:
  the type

#### setType

    public void setType(MessageType type)

Sets the type.

Parameters:
  `type` - the new type

#### getSender

    public Agent getSender()

Gets the sender.

Returns:
  the sender

#### setSender

    public void setSender(Agent sender)

Sets the sender.

Parameters:
  `sender` - the new sender